gnutls_pkcs11_privkey_cpy(3)

NAME
gnutls_pkcs11_privkey_cpy - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_privkey_cpy(gnutls_pkcs11_privkey_t dst, gnutls_pkcs11_privkey_t src);

ARGUMENTS

gnutls_pkcs11_privkey_t dst
    The destination key, which should be initialized.

gnutls_pkcs11_privkey_t src
    The source key

DESCRIPTION
This function will copy a private key from source to destination key. Destination has to be initialized.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/